Subject: Re: [PATCH v4] Introduce %<branch> as shortcut to the tracked branch

From: Miles Bader <[email-masked]>
Date: Sat, 21 Mar 2009 10:10:48 +0900

Andreas Gruenbacher <[email-masked]> writes:
> To me the most obvious escape sequence would be \x for disabling whatever 
> special meaning x has (for non-alphabetic x). With quoting you likely 
> eventually end up needing  \' in some cases anyway...

I think it's a good idea to _avoid_ using backslash as an escape when
possible -- the potential for confusion and screwups from multiple
layers all interpreting backslash should be familiar to most people
here...  (single-quote suffers from the same problem a bit, but at least
it's not quite as overused as backslash)

-Miles

-- 
One of the lessons of history is that nothing is often a good thing to
do, and always a clever thing to say.  -- Will Durant